import type { Listing } from "$lib/Listing";
import { hasProperty } from "$lib/validation";

export type ServerResponse =
	| { item: Listing<unknown> }
	| { items: Listing<unknown>[] }
	| { error: string };

export function isServerResponse(target: unknown): target is ServerResponse {
	if (hasProperty(target, "item", "object")) return true;
	if (hasProperty(target, "items", "object[]")) return true;
	if (hasProperty(target, "error", "string")) return true;
	return false;
}
