import { describe, it } from "node:test";
import { Game } from "../../Game";
import { deepEqual, ok, throws } from "node:assert/strict";

describe("Game", () => {
	describe("addPlayer", () => {
		it("should push a player id into the player array", () => {
			const game = new Game();
			deepEqual(game.players, []);

			game.addPlayer("some-id");
			deepEqual(game.players, ["some-id"]);
		});
	});

	describe("start", () => {
		it("start shoud start the game", () => {
			const game = new Game();
			game.isStarted = false;

			game.start();
			ok(game.isStarted);
		});

		it("start should throw if the game is already started", () => {
			const game = new Game();

			game.start();
			throws(() => game.start());
		});
	});
});
